﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace App74
{
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			//get the global webview set at app start
			WebView WV = new WebView();

			//create a webview and fill screen with it
			var source = new HtmlWebViewSource();
			source.Html = "<body><a href='http://www.google.com/?target=blank'>external</a><br><a href='http://www.google.com/'>local</a></body>";
			WV.Source = source;
			
			WV.HorizontalOptions = LayoutOptions.Fill;
			WV.VerticalOptions = LayoutOptions.FillAndExpand;

			//set the webview so that any links containing a querystring parameter of target=blank, then open these in the device's external browser, not in the webview
			//    (NOTE - this NOT the target attribute of the <a> link, it needs to be in the querystring of the URL
			WV.Navigating += (object sender, WebNavigatingEventArgs e) =>
			{
				if (e.Url.ToLower().Contains("target=blank") || e.Url.ToLower().Contains("target=_blank") || e.Url.ToLower().Contains("webapp/login"))
				{
					var uri = new Uri(e.Url);
					Device.OpenUri(uri);
					e.Cancel = true;
				}
				else
				{
					e.Cancel = false;
				};
			};

			Content = WV;
		}
	}
}
